package org.eclipse.mylar.zest.layouts.exampleUses;



import java.awt.Dimension;
import java.util.Iterator;

import edu.uci.ics.jung.graph.Edge;
import edu.uci.ics.jung.graph.Graph;
import edu.uci.ics.jung.graph.Vertex;
import edu.uci.ics.jung.graph.impl.DirectedSparseEdge;
import edu.uci.ics.jung.graph.impl.SimpleSparseVertex;
import edu.uci.ics.jung.graph.impl.SparseGraph;
import edu.uci.ics.jung.visualization.FRLayout;
import edu.uci.ics.jung.visualization.Layout;

public class JungTest {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		Graph g = new SparseGraph();
		Vertex v1 = new SimpleSparseVertex();
		Vertex v2 = new SimpleSparseVertex();
		Vertex v3 = new SimpleSparseVertex();
		Vertex v4 = new SimpleSparseVertex();
		Vertex v5 = new SimpleSparseVertex();
		
		g.addVertex(v1);
		g.addVertex(v2);
		g.addVertex(v3);
		g.addVertex(v4);
		g.addVertex(v5);
		
		Edge e1 = new DirectedSparseEdge(v1, v2);
		Edge e2 = new DirectedSparseEdge(v1, v3);
		Edge e3 = new DirectedSparseEdge(v2, v4);
		Edge e4 = new DirectedSparseEdge(v2, v5);

		g.addEdge(e1);
		g.addEdge(e2);
		g.addEdge(e3);
		g.addEdge(e4);
		
		
		Layout layout = new FRLayout(g);
		layout.initialize(new Dimension(200,200));
		Iterator iterator = layout.getVertexIterator();
		while ( iterator.hasNext()) {
			
			layout.getLocation(((Vertex)iterator.next()));
			
		}
		System.out.println( layout.getLocation(v1) );
		System.out.println( layout.getLocation(v2) );
		System.out.println( layout.getLocation(v3) );
		System.out.println( layout.getLocation(v4) );
		System.out.println( layout.getLocation(v5) );
		

	}

}
